This document is for Kombu's development version, which can be significantly different from previous releases. Get the stable docs here: 5.3.

# SQS Messages - `kombu.asynchronous.aws.sqs.message`

Amazon SQS message implementation.

class kombu.asynchronous.aws.sqs.message.AsyncMessage(body=None, delivery_tag=None, content_type=None, content_encoding=None, delivery_info=None, properties=None, headers=None, postencode=None, accept=None, channel=None, **kwargs)

  Serialized message.

  accept
  body
  channel
  content_encoding
  content_type
  delivery_info
  delivery_tag
  encode(value)

    Encode/decode the value using Base64 encoding.

  headers
  properties

class kombu.asynchronous.aws.sqs.message.AsyncRawMessage(body=None, delivery_tag=None, content_type=None, content_encoding=None, delivery_info=None, properties=None, headers=None, postencode=None, accept=None, channel=None, **kwargs)

  Raw Message.

  accept
  body
  channel
  content_encoding
  content_type
  delivery_info
  delivery_tag
  headers
  properties

class kombu.asynchronous.aws.sqs.message.BaseAsyncMessage(body=None, delivery_tag=None, content_type=None, content_encoding=None, delivery_info=None, properties=None, headers=None, postencode=None, accept=None, channel=None, **kwargs)

  Base class for messages received on async client.

  accept
  body
  channel
  content_encoding
  content_type
  delivery_info
  delivery_tag
  headers
  properties